package etf.nacionalni;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;

import javax.faces.bean.ManagedBean; 
   // or import javax.inject.Named;
import javax.faces.bean.SessionScoped; 
   // or import javax.enterprise.context.SessionScoped;

@ManagedBean
@SessionScoped
public class TableData implements Serializable {
   private ArrayList<NPark> nparkovi = new ArrayList<NPark>(Arrays.asList(
      new NPark("Fruska-gora", "Vojvodina"),
      new NPark("Djerdap", "Istočna Srbija"),
      new NPark("Tara", "Zapadna Srbija"),
      new NPark("Kopaonik", "Centralna Srbija"),
      new NPark("Sar-planina", "Kosovo i Metohija"),
      new NPark("Prokletije", "Kosovo i Metohija"),
      new NPark("Kucaj-Beljanica", "Istočna Srbija")
   ));
        
   public ArrayList<NPark> getNparkovi() {
      return nparkovi;
   }
   
   public String obrisiRed(NPark brisem) {
      nparkovi.remove(brisem);
      return null;
   }
}